ribbon:
  ReadTimeout: 600000
  ConnectTimeout: 600000

spring:
  main:
    allow-bean-definition-overriding: true
  servlet:
    multipart:
      enabled: true
      max-file-size: 100MB
      max-request-size: 100MB
  jackson:
    serialization:
      write-dates-as-timestamps: false
    #  格式化返回时间 yyyy-MM-dd HH:mm:ss
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    dynamic:
      primary: base
      strict: false
      datasource:
        base:
          url: jdbc:mysql://192.168.1.129:33306/mosty_base?autoReconnect=true&failOverReadOnly=false&useUnicode=true&characterEncoding=utf8&useSSL=false&allowMultiQueries=true&rewriteBatchedStatements=true&allowPublicKeyRetrieval=true&serverTimezone=Asia/Shanghai
          username: mostyDB1
          password: mostyDBMysql1
        jcgl:
          url: jdbc:mysql://192.168.1.129:33306/mosty_jcgl?autoReconnect=true&failOverReadOnly=false&useUnicode=true&characterEncoding=utf8&useSSL=false&allowMultiQueries=true&rewriteBatchedStatements=true&allowPublicKeyRetrieval=true&serverTimezone=Asia/Shanghai
          username: mostyDB1
          password: mostyDBMysql1
    hikari:
      minimum-idle: 10      # ??????????10???0???maximum-pool-size??????maximum-pool-size
      maximum-pool-size: 20 # ??????????0????????10??????1?????minimum-idle??
      idle-timeout: 500000  # ????????????600000?10????????max-lifetime?max-lifetime>0??????0????0???10???????10??
      max-lifetime: 540000  # ????????????0???30??????????30??.?????mysql????????
      connection-timeout: 60000 # ????????????250????????????30?
      connection-test-query: SELECT 1 # ???????????????
  # Redis数据库索引（默认为0）
  redis:
    database: 1
    # Redis服务器地址
    host: 192.168.1.129
    # Redis服务器连接端口
    port: 63799
    # Redis服务器连接密码（默认为空）
    password: redis1994Inferno
    # 连接超时时间（毫秒）
    timeout: 2000
    jedis:
      pool:
        max-active: 50

#mybatis:
#  mapper-locations: classpath:mapper/*.xml

swagger:
  host: 80.155.0.84
  port: 80

mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

minio:
  endpoint: http://192.168.1.129:29002
  downloadEndpoint: http://192.168.1.129:29002
  accessKey: minioRoot
  secretKey: minio1994Inferno

config:
  defaultPassword: 123456
  orgCode: 510600000000
  
login:
  check:
    kaptcha: false

magic-api:
  web: /magic/web
  #配置文件存储位置。当以classpath开头时，为只读模式
  resource:
#    location: /data/magic-api
    type: database
    table-name: magic_api_file_v2  # 数据库中的表名
    prefix: /magic-api  # 前缀
    datasource:
  response-code:
    success: 10000

dict:
  element:
    # 民族
    nation: D_BZ_MZ
    # 性别
    gender: D_BZ_XB
    # 血型
    blood-type: D_BZ_XX
    # 学历
    education: D_BZ_WHCD
    # 政治面貌
    political-outlook: D_BZ_ZZMM
    # 婚姻状况
    marital-status: D_BZ_HYZK
    # 亲属关系
    relationship: D_BZ_QSGXDM
    # 车辆型号
    vehicle-model: D_JDC_CLLX
    # 车辆颜色
    vehicle-color: D_JDC_CSYS
    # 机动车号牌种类
    vehicle-number-type: D_JDC_HPZL
    # 车牌号
    car-number: D_BZ_HPSSD

exclude:
  pathPatterns:
    token:
      - /loginCheckKaptcha
      - /login
      - /token
      - /kaptcha
      - /loginOut
      - /sysTask/addSysTask
      - /sysTask/*
      - /idCardNoLogin
      - /sysTaskReport/*
      - /sysTaskReport/groupCount/*
      - /sysTaskReport/lineChart/*
      - /yjxx/token/*
      - /tbJq/querySgfx
      - /tbJq/queryZtfx
      - /tbYjxx/insert
      - /tbYjxx/getList
      - /image/base64
    swagger:
      - /swagger-resources/**
      - /webjars/**
      - /v2/**
      - /swagger-ui.html/**
      - /docs.html/**
